<?php
/**
 * Footer
 */
do_action( 'gillion_after_content' );

if( gillion_framework() == 'redux' ) :
	$page_layout = gillion_option( 'page_layout' );
	$boxed_footer_width = gillion_option( 'boxed_footer_width' );
else :
	$page_layout_val = gillion_option('page_layout');
	$page_layout = ( isset( $page_layout_val['page_layout'] ) ) ? esc_attr($page_layout_val['page_layout']) : 'line';
	$page_layout_atts = gillion_get_picker( $page_layout_val );
	$boxed_footer_width = !empty( $page_layout_atts['footer_width'] ) ? $page_layout_atts['footer_width'] : '';
endif;
wp_reset_postdata();

$footer_template = ( gillion_option( 'footer_template' ) != 'default' ) ? gillion_option( 'footer_template' ) : 'default';
$is_elementor = $is_wpbakery = '';

// Elementor content
if( is_numeric( strpos( $footer_template, "elementor-") ) ) :
	$footer_template_id = intval( str_replace( 'elementor-', '', $footer_template ) );
	if( $footer_template_id > 0 ) :
		$footer_template_type = 'elementor';
	endif;
// WPBakery content
elseif( is_numeric( $footer_template ) && $footer_template > 0 ) :
	$footer_template_id = intval( $footer_template );
	if( $footer_template_id > 0 ) :
		$footer_template_type = 'wpbakery';
	endif;
// Default Footer
else :
	$footer_template_id = '';
	$footer_template_type = '';
endif;

$is_builder_page = in_array( get_post_type( get_the_ID() ), array( 'shufflehound_header', 'shufflehound_footer', 'shufflehound_temp', 'elementor_library' ) );
?>

		<?php if( gillion_post_option( get_the_ID(), 'page_layout' ) != 'full' ) : ?>
			</div>
		<?php endif; ?>
		</div>

		<?php
			/* Include footer instagram feed */
			get_template_part('inc/templates/footer-instagram' );
		?>

	<?php if( $page_layout == 'boxed' && $boxed_footer_width == 'full' ) : ?>
		</div></div>
	<?php endif; ?>

		<?php if( !$is_builder_page ) : ?>
			<?php
			if( function_exists( 'elementor_theme_do_location' ) && elementor_theme_do_location( 'footer' )  ) :
				elementor_theme_do_location( 'footer' );

			elseif( $footer_template_type == 'elementor' ) : ?>

				<div class="sh-footer-template">
					<div class="container">
						<?php
							/* Elementor Page Builder Output */
							if( did_action( 'elementor/loaded' ) ) :
								$query = new WP_Query( array(
									'post_type' => 'elementor_library',
									'p' => $footer_template_id,
									'posts_per_page' => 1,
								));
								while ( $query->have_posts() ) : $query->the_post();
									the_content();
								endwhile;
								wp_reset_postdata();
							endif;
						?>
					</div>
				</div>

			<?php elseif( $footer_template_type == 'wpbakery' ) : ?>

				<div class="sh-footer-template">
					<div class="container">
						<?php if( current_user_can( 'manage_options' ) ) : ?>
							<a target="_blank" href="<?php echo admin_url( 'post.php?vc_action=vc_inline&post_id='.intval( $footer_template_id ).'&post_type=shufflehound_footer' ); ?>" class="sh-header-builder-edit">
								<i class="ti-pencil"></i>
								<?php esc_html_e( 'Edit Footer', 'gillion' ); ?>
							</a>
						<?php endif; ?>
						<?php
							/* WPBakery Page Builder Output */
							if( class_exists( 'Vc_Manager' ) ) :
								ob_start();

								Vc_Manager::getInstance()->vc()->addShortcodesCustomCss( $footer_template );
								$footer_css = ob_get_contents();
								ob_end_clean();

								if( $footer_css ) :
									echo $footer_css;
								else :
									$footer_custom_css = get_post_meta( $footer_template, '_wpb_shortcodes_custom_css', true );
									if( !empty( $footer_custom_css ) ) :
										echo '<style type="text/css">';
										echo $footer_custom_css;
										echo '</style>';
									endif;
								endif;

								wp_reset_postdata();
								$the_post = get_post( $footer_template );
								if( isset( $the_post->post_content ) ) :
									echo do_shortcode( $the_post->post_content );
								endif;
							endif;
						?>
					</div>
				</div>

			<?php else : ?>

				<footer class="sh-footer">
					<?php
						if( gillion_footer_enabled() == 'on' ) :
							/* Inlcude theme footer widgets */
							get_template_part('inc/templates/footer-widgets' );
						endif;

						if( gillion_copyrights_enabled() == 'on' ) :
							/* Inlcude theme footer copyrights */
							get_template_part('inc/templates/footer-copyrights' );
						endif;
					?>
				</footer>

			<?php endif; ?>
		<?php endif; ?>


		<?php if( $page_layout != 'boxed' || $boxed_footer_width != 'full' ) : ?>
			</div>
		<?php endif; ?>


		<?php 
			/* Inlcude login popup */
			get_template_part('inc/templates/login_popup' );
		?>

	<?php if( $page_layout != 'boxed' || $boxed_footer_width != 'full' ) : ?>
		</div>
	<?php endif; ?>

	<?php wp_reset_postdata(); wp_footer(); ?>
</body>
</html>
