<?php
/**
 * Dashboard - System Status Page
 */
function shufflehound_report_page() {
    sh_tgmpa_header(); ?>

    <div class="shufflehound-dashboard-content">

        <div class="shufflehound-dashboard-message" style="padding: 0; max-width: 100%;">
            <h1 style="margin-top: 3px;">Report a Bug</h1>
            <div style="margin-top: 21px; max-width: 600px;">
                <div style="margin-bottom: 10px;">
                    Use this form to inform us about simple problems regarding theme functionality (like theme settings, page builder elements, etc).
                    Otherwise the main theme support place is our <a href="https://support.shufflehound.com" target="_blank">support forum</a>.
                </div>

                <div style="margin-bottom: 10px;">
                    <i>The fix might be included in the future updates</i>
                    <span title="It depends on multiple things, such as: if it can be replicated (and isn't server related), if it is theme or plugin related, it's complexity, etc">
                        <i class="fas fa-info-circle"></i>
                    </span>
                </div>

                <div style="margin-bottom: 10px;">
                <strong>Make sure that WordPress, theme and plugins are updated</strong>
                </div>
            </div>
        </div>

        <br><br><br>



<style>
.sh-report-item {
    display: flex;
    max-width: 600px;
    margin-bottom: 45px;
}

.sh-report-item-details {
    width: 40%;
    padding-right: 30px;
}

.sh-report-item-field {
    width: 60%;
}

.sh-report-item-field input,
.sh-report-item-field textarea {
    width: 100%;
    max-width: 100%;
}
</style>



        <div class="sh-report-item">
            <div class="sh-report-item-details">
                <strong>
                    Title *
                </strong>
                <p>
                    Short description of the issue. A best practice is to include the name of the feature where you found an issue.
                </p>
            </div>
            <div class="sh-report-item-field">
                <input type="text" name="" value="">
            </div>
        </div>

        <div class="sh-report-item">
            <div class="sh-report-item-details">
                <strong>
                    Category *
                </strong>
                <p>
                    Choose the issue category
                </p>
            </div>
            <div class="sh-report-item-field">
                <select class="" name="">
                    <option value="">-</option>
                    <option value="">Theme and page settings</option>
                    <option value="">Page builder</option>
                    <option value="">WooCommerce</option>
                    <option value="">Other</option>
                </select>
            </div>
        </div>

        <div class="sh-report-item">
            <div class="sh-report-item-details">
                <strong>
                    Please provide screenshot that visually describes the problem *
                </strong>
                <p>Will help the developers understand the problem better and faster (JPG, PNG only)</p>
            </div>
            <div class="sh-report-item-field">
                <input type="file" name="" accept="image/x-png,image/jpeg"/>
            </div>
        </div>

        <div class="sh-report-item">
            <div class="sh-report-item-details">
                <strong>
                    Steps to reproduce *
                </strong>
                <p>Describe, with as much detail as possible, the steps you took before you encountered the bug.</p>
            </div>
            <div class="sh-report-item-field">
                <textarea name="name" rows="8" cols="80" placeholder=""></textarea>
            </div>
        </div>


        <div class="sh-report-item">
            <div class="sh-report-item-details">
                <strong>
                    Technical information
                </strong>
                <p>Automatically generated. Will be submited with the form</p>
            </div>
            <div class="sh-report-item-field">
                <span style="color: #ccc; font-style: italic; ">
                    Gillion: 3.8,
                    WPBakery: 3.1
                    Elementor: No,
                    WordPress: 5.6,
                    PHP: 7.2
                </span>
            </div>
        </div>


        <button type="submit" name="button" class="button">
            Send report
        </button>



    </div>
<?php }
