<?php
namespace ElementorGillionElements\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Core\Schemes\Typography;
use Elementor\Group_Control_Typography;
use Elementor\Group_Control_Box_Shadow;
use Elementor\Group_Control_Text_Shadow;
use Elementor\Frontend;
use vcImageContainer;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/**
 * Elementor - Blog Posts
 */
class Gillion_Image_Container extends Widget_Base {

	/**
	 * Adds scripts
	 */
	public function __construct($data = [], $args = null) {
       parent::__construct($data, $args);
    }

	/**
	 * Retrieve the widget name.
	 */
	public function get_name() {
		return 'gillion-image-container';
	}

	/**
	 * Retrieve the widget title.
	 */
	public function get_title() {
		return esc_attr__( 'Image Container', 'gillion' );
	}


	/**
	 * Retrieve the widget icon.
	 */
	public function get_icon() {
		return 'fas fa-image';
	}


	/**
	 * Retrieve the list of categories the widget belongs to.
	 */
	public function get_categories() {
		return [ 'gillion' ];
	}


	/**
	 * Register the widget controls.
	 */
	protected function register_controls() {
        $this->start_controls_section(
            'section_content',
            [
                'label' => esc_attr__( 'Content', 'gillion' ),
            ]
        );


                $this->add_control(
                    'image',
                    [
                        'label' => esc_attr__( 'Image', 'gillion' ),
                        'description' => esc_attr__( '', 'gillion' ),
                        'type' => Controls_Manager::MEDIA,
                    ]
                );


                $this->add_control(
                    'title',
                    [
                        'label' => esc_attr__( 'Title', 'gillion' ),
                        'description' => esc_attr__( '', 'gillion' ),
                        'type' => Controls_Manager::TEXT,
                        'default' => 'Custom Title',
                    ]
                );


                $this->add_control(
                    'description',
                    [
                        'label' => esc_attr__( 'Description', 'gillion' ),
                        'description' => esc_attr__( '', 'gillion' ),
                        'type' => Controls_Manager::TEXT,
                        'default' => 'I am description',
                    ]
                );


                $this->add_control(
                    'url',
                    [
                        'label' => esc_attr__( 'URL (link)', 'gillion' ),
                        'type' => Controls_Manager::TEXT,
                    ]
                );


        $this->end_controls_section();
	}


	/**
	 * Render the widget output on the frontend.
	 */
	protected function render() {
		$settings = $this->get_settings_for_display();
		$settings = (array)$settings;
		$settings['elementor'] = true;
		vcImageContainer::_html( $settings );
	}
}
