<?php
/*
** Add Elementor category
*/
function add_elementor_widget_categories( $elements_manager ) {

	$elements_manager->add_category(
		'gillion',
		[
			'title' => esc_attr__( 'Gillion', 'gillion' ),
			'icon' => 'fa fa-plug',
		]
	);

}
add_action( 'elementor/elements/categories_registered', 'add_elementor_widget_categories' );




/*
** Register some locations
*/
function gillion_register_elementor_locations( $elementor_theme_manager ) {

	$elementor_theme_manager->register_location( 'header' );
	$elementor_theme_manager->register_location( 'footer' );
	// $elementor_theme_manager->register_location( 'single' );
	// $elementor_theme_manager->register_location( 'archive' );

}
add_action( 'elementor/theme/register_locations', 'gillion_register_elementor_locations' );




/*
** Load functions when WPBakery Page Builder is disabled
*/
if( !class_exists( 'WPBakeryShortCode' ) ) :
	class WPBakeryShortCode {
		public function __construct() {
			//
		}
	}
endif;




/*
** Check if elementor content
*/
function gillion_is_elementor_content( $post_id ) {
	if( did_action( 'elementor/loaded' ) ) :
		global $post;
		return \Elementor\Plugin::$instance->db->is_built_with_elementor( $post_id );
	endif;
}
