<?php
/**
 * OCDI Demo Installation Method
 */
function gillion_ocdi_import_files() {
    $demos = [];


    // Elementor demos
	if( did_action( 'elementor/loaded' ) ) :
        $elementor_demos = [

            // Card Style
            [
                'name' => 'Card Style (Elementor)',
                'categories' => [ 'Basic', 'Elementor Builder' ],
                'slug' => 'card_style',
                'url' => 'https://gillion.shufflehound.com/home/card-style/',
            ],

            // Background Image
            [
                'name' => 'Background Image (Elementor)',
                'categories' => [ 'Basic', 'Elementor Builder' ],
                'slug' => 'background_image',
                'url' => 'https://gillion.shufflehound.com/home/background-image/',
            ],

            // Carousel Slider
            [
                'name' => 'Carousel Slider (Elementor)',
                'categories' => [ 'Basic', 'Elementor Builder' ],
                'slug' => 'carousel_slider',
                'url' => 'https://gillion.shufflehound.com/home/carousel-slider/',
            ],

            // Boxed Slider
            [
                'name' => 'Boxed Slider (Elementor)',
                'categories' => [ 'Basic', 'Elementor Builder' ],
                'slug' => 'boxed_slider',
                'url' => 'https://gillion.shufflehound.com/home/boxed-slider/',
            ],

            // Full-Width Slider
            [
                'name' => 'Full Width Slider (Elementor)',
                'categories' => [ 'Basic', 'Elementor Builder' ],
                'slug' => 'full_width_slider',
                'url' => 'https://gillion.shufflehound.com/home/full-width-slider/',
            ],

            // Boxed Slider
            [
                'name' => 'Creative Slider (Elementor)',
                'categories' => [ 'Basic', 'Elementor Builder' ],
                'slug' => 'creative_slider',
                'url' => 'https://gillion.shufflehound.com/home/creative-slider/',
            ],





            // Lifestyle
            [
                'name' => 'Lifestyle (Elementor)',
                'categories' => [ 'Industries', 'Elementor Builder' ],
                'slug' => 'lifestyle',
            ],

            // Tech
            [
                'name' => 'Tech (Elementor)',
                'categories' => [ 'Industries', 'Tech', 'Elementor Builder' ],
                'slug' => 'tech',
            ],

            // Foodie
            [
                'name' => 'Foodie (Elementor)',
                'categories' => [ 'Industries', 'Elementor Builder' ],
                'slug' => 'foodie',
            ],

            // Personal
            [
                'name' => 'Personal (Elementor)',
                'categories' => [ 'Industries', 'Elementor Builder' ],
                'slug' => 'personal',
            ],

            // Clean
            [
                'name' => 'Clean (Elementor)',
                'categories' => [ 'Basic', 'Elementor Builder' ],
                'slug' => 'clean',
            ],

            // Fashion
            [
                'name' => 'Fashion (Elementor)',
                'categories' => [ 'Industries', 'Elementor Builder' ],
                'slug' => 'fashion',
            ],

            // Travel
            [
                'name' => 'Travel (Elementor)',
                'categories' => [ 'Industries', 'Elementor Builder' ],
                'slug' => 'travel',
            ],

            // Gizmo News
            [
                'name' => 'Gizmo News (Elementor)',
                'categories' => [ 'Industries', 'Tech', 'Elementor Builder' ],
                'slug' => 'gizmo-news',
            ],

            // Shop
            [
                'name' => 'Shop (Elementor)',
                'categories' => [ 'Industries', 'Elementor Builder' ],
                'slug' => 'shop',
                'revslider' => true,
            ],

            // Magazine
            [
                'name' => 'Magazine (Elementor)',
                'categories' => [ 'Magazine', 'Elementor Builder' ],
                'slug' => 'magazine',
            ],

            // News
            [
                'name' => 'News (Elementor)',
                'categories' => [ 'Magazine', 'Elementor Builder' ],
                'slug' => 'news',
            ],

            // Journal
            [
                'name' => 'Journal (Elementor)',
                'categories' => [ 'Basic', 'Elementor Builder' ],
                'slug' => 'journal',
            ],
        ];


        // WPBakery demos
        if( defined( 'WPB_VC_VERSION' ) ) :
            $wpbakery_demos = array(
                array(
                    'import_file_name'           => 'Blog Styles Bundle',
                    'categories'                 => array( 'Basic', 'Bundle', 'WPBakery Builder' ),
                    'import_file_url'            => 'http://cdn.shufflehound.com/gillion/ocdi_files/blog_style_bundle/blog_style_bundle.xml',
                    'import_preview_image_url'   => 'http://cdn.shufflehound.com/gillion/files/blog_style_bundle.jpg',
                    'preview_url'                => 'https://gillion.shufflehound.com/blog-style/masonry-style/',
                ),

                array(
                    'import_file_name'           => 'Features Bundle',
                    'categories'                 => array( 'Basic', 'Bundle', 'WPBakery Builder' ),
                    'import_file_url'            => 'http://cdn.shufflehound.com/gillion/ocdi_files/features_bundle/features_bundle.xml',
                    'import_widget_file_url'     => 'http://cdn.shufflehound.com/gillion/ocdi_files/carousel_slider/carousel_slider_widgets.wie',
                    'import_preview_image_url'   => 'http://cdn.shufflehound.com/gillion/files/features_bundle.jpg',
                    'preview_url'                => 'https://gillion.shufflehound.com/post-content-gallery/',
                ),

                array(
                    'import_file_name'           => 'Basic Bundle',
                    'categories'                 => array( 'Basic', 'Bundle', 'WPBakery Builder' ),
                    'import_file_url'            => 'http://cdn.shufflehound.com/gillion/ocdi_files/basic/basic_content.xml',
                    'import_widget_file_url'     => 'http://cdn.shufflehound.com/gillion/ocdi_files/basic/basic_widgets.wie',
                    'import_json'               => array(
                        array(
                            'file_url'    => 'http://cdn.shufflehound.com/gillion/ocdi_files/basic/basic_options.json',
                            'option_name' => 'fw_theme_settings_options:gillion',
                        ),
                    ),
                    'import_preview_image_url'   => 'http://cdn.shufflehound.com/gillion/files/basic_bundle.jpg',
                    //'import_notice'              => __( '', 'gillion' ),
                    'preview_url'                => 'https://gillion.shufflehound.com/',
                ),

                array(
                    'import_file_name'           => 'Card Style',
                    'categories'                 => ( ( defined( 'WPB_VC_VERSION' ) ) ? array( 'Basic', 'WPBakery Builder', 'Elementor Builder ' ) : array( 'Basic', 'Elementor Builder ' ) ),
                    'import_file_url'            => 'http://cdn.shufflehound.com/gillion/ocdi_files/card_style/card_style_content.xml',
                    'import_widget_file_url'     => 'http://cdn.shufflehound.com/gillion/ocdi_files/carousel_slider/carousel_slider_widgets.wie',
                    'import_json'               => array(
                        array(
                            'file_url'    => 'http://cdn.shufflehound.com/gillion/ocdi_files/carousel_slider/carousel_slider_options.json',
                            'option_name' => 'fw_theme_settings_options:gillion',
                        ),
                    ),
                    'import_preview_image_url'   => 'http://cdn.shufflehound.com/gillion/files/card_style.jpg',
                    'preview_url'                => 'https://gillion.shufflehound.com/home/card-style/',
                ),

                array(
                    'import_file_name'           => 'Background Image',
                    'categories'                 => ( ( defined( 'WPB_VC_VERSION' ) ) ? array( 'Basic', 'WPBakery Builder', 'Elementor Builder ' ) : array( 'Basic', 'Elementor Builder ' ) ),
                    'import_file_url'            => 'http://cdn.shufflehound.com/gillion/ocdi_files/background_image/background_image_content.xml',
                    'import_widget_file_url'     => 'http://cdn.shufflehound.com/gillion/ocdi_files/carousel_slider/carousel_slider_widgets.wie',
                    'import_json'               => array(
                        array(
                            'file_url'    => 'http://cdn.shufflehound.com/gillion/ocdi_files/carousel_slider/carousel_slider_options.json',
                            'option_name' => 'fw_theme_settings_options:gillion',
                        ),
                    ),
                    'import_preview_image_url'   => 'http://cdn.shufflehound.com/gillion/files/background_image.jpg',
                    'preview_url'                => 'https://gillion.shufflehound.com/home/background-image/',
                ),

                array(
                    'import_file_name'           => 'Carousel Slider (WPBakery)',
                    'categories'                 => array( 'Basic', 'WPBakery Builder' ),
                    'import_file_url'            => 'http://cdn.shufflehound.com/gillion/ocdi_files/carousel_slider/carousel_slider_content.xml',
                    'import_widget_file_url'     => 'http://cdn.shufflehound.com/gillion/ocdi_files/carousel_slider/carousel_slider_widgets.wie',
                    'import_json'               => array(
                        array(
                            'file_url'    => 'http://cdn.shufflehound.com/gillion/ocdi_files/carousel_slider/carousel_slider_options.json',
                            'option_name' => 'fw_theme_settings_options:gillion',
                        ),
                    ),
                    'import_preview_image_url'   => 'http://cdn.shufflehound.com/gillion/files/carousel_slider.jpg',
                    'preview_url'                => 'https://gillion.shufflehound.com/',
                ),

                array(
                    'import_file_name'           => 'Boxed Slider (WPBakery)',
                    'categories'                 => array( 'Basic', 'WPBakery Builder' ),
                    'import_file_url'            => 'http://cdn.shufflehound.com/gillion/ocdi_files/boxed_slider/boxed_slider_content.xml',
                    'import_widget_file_url'     => 'http://cdn.shufflehound.com/gillion/ocdi_files/carousel_slider/carousel_slider_widgets.wie',
                    'import_json'               => array(
                        array(
                            'file_url'    => 'http://cdn.shufflehound.com/gillion/ocdi_files/carousel_slider/carousel_slider_options.json',
                            'option_name' => 'fw_theme_settings_options:gillion',
                        ),
                    ),
                    'import_preview_image_url'   => 'http://cdn.shufflehound.com/gillion/files/boxed_slider.jpg',
                    'preview_url'                => 'https://gillion.shufflehound.com/home/boxed-slider/',
                ),

                array(
                    'import_file_name'           => 'Full-Width Slider (WPBakery)',
                    'categories'                 => array( 'Basic', 'WPBakery Builder' ),
                    'import_file_url'            => 'http://cdn.shufflehound.com/gillion/ocdi_files/full_width_slider/full_width_slider_content.xml',
                    'import_widget_file_url'     => 'http://cdn.shufflehound.com/gillion/ocdi_files/carousel_slider/carousel_slider_widgets.wie',
                    'import_json'               => array(
                        array(
                            'file_url'    => 'http://cdn.shufflehound.com/gillion/ocdi_files/carousel_slider/carousel_slider_options.json',
                            'option_name' => 'fw_theme_settings_options:gillion',
                        ),
                    ),
                    'import_preview_image_url'   => 'http://cdn.shufflehound.com/gillion/files/full_width_slider.jpg',
                    'preview_url'                => 'https://gillion.shufflehound.com/home/full-width-slider/',
                ),

                array(
                    'import_file_name'           => 'Creative Slider (WPBakery)',
                    'categories'                 => array( 'Basic', 'WPBakery Builder' ),
                    'import_file_url'            => 'http://cdn.shufflehound.com/gillion/ocdi_files/creative_slider/creative_slider_content.xml',
                    'import_widget_file_url'     => 'http://cdn.shufflehound.com/gillion/ocdi_files/carousel_slider/carousel_slider_widgets.wie',
                    'import_json'               => array(
                        array(
                            'file_url'    => 'http://cdn.shufflehound.com/gillion/ocdi_files/carousel_slider/carousel_slider_options.json',
                            'option_name' => 'fw_theme_settings_options:gillion',
                        ),
                    ),
                    'import_preview_image_url'   => 'http://cdn.shufflehound.com/gillion/files/creative_slider.jpg',
                    'preview_url'                => 'https://gillion.shufflehound.com/home/creative-slider/',
                ),

                array(
                    'import_file_name'           => 'Lifestyle (WPBakery)',
                    'categories'                 => array( 'Basic', 'WPBakery Builder' ),
                    'import_file_url'            => 'http://cdn.shufflehound.com/gillion/ocdi_files/lifestyle/lifestyle_content.xml',
                    'import_widget_file_url'     => 'http://cdn.shufflehound.com/gillion/ocdi_files/lifestyle/lifestyle_widgets.wie',
                    'import_json'               => array(
                        array(
                            'file_url'    => 'http://cdn.shufflehound.com/gillion/ocdi_files/lifestyle/lifestyle_options.json',
                            'option_name' => 'fw_theme_settings_options:gillion',
                        ),
                    ),
                    'import_preview_image_url'   => 'http://cdn.shufflehound.com/gillion/files/lifestyle.jpg',
                    'preview_url'                => 'https://gillion.shufflehound.com/lifestyle/',
                ),

                array(
                    'import_file_name'           => 'Tech (WPBakery)',
                    'categories'                 => array( 'Industries', 'Tech', 'WPBakery Builder' ),
                    'import_file_url'            => 'http://cdn.shufflehound.com/gillion/ocdi_files/tech/tech_content.xml',
                    'import_widget_file_url'     => 'http://cdn.shufflehound.com/gillion/ocdi_files/tech/tech_widgets.wie',
                    'import_json'               => array(
                        array(
                            'file_url'    => 'http://cdn.shufflehound.com/gillion/ocdi_files/tech/tech_options.json',
                            'option_name' => 'fw_theme_settings_options:gillion',
                        ),
                    ),
                    'import_preview_image_url'   => 'http://cdn.shufflehound.com/gillion/files/tech.jpg',
                    'preview_url'                => 'https://gillion.shufflehound.com/tech/',
                ),

                array(
                    'import_file_name'           => 'Foodie (WPBakery)',
                    'categories'                 => array( 'Industries', 'WPBakery Builder' ),
                    'import_file_url'            => 'http://cdn.shufflehound.com/gillion/ocdi_files/foodie/foodie_content.xml',
                    'import_widget_file_url'     => 'http://cdn.shufflehound.com/gillion/ocdi_files/foodie/foodie_widgets.wie',
                    'import_json'               => array(
                        array(
                            'file_url'    => 'http://cdn.shufflehound.com/gillion/ocdi_files/foodie/foodie_options.json',
                            'option_name' => 'fw_theme_settings_options:gillion',
                        ),
                    ),
                    'import_preview_image_url'   => 'http://cdn.shufflehound.com/gillion/files/foodie.jpg',
                    'preview_url'                => 'https://gillion.shufflehound.com/foodie/',
                ),

                array(
                    'import_file_name'           => 'Personal (WPBakery)',
                    'categories'                 => array( 'Industries', 'WPBakery Builder' ),
                    'import_file_url'            => 'http://cdn.shufflehound.com/gillion/ocdi_files/personal/personal_content.xml',
                    'import_widget_file_url'     => 'http://cdn.shufflehound.com/gillion/ocdi_files/personal/personal_widgets.wie',
                    'import_json'               => array(
                        array(
                            'file_url'    => 'http://cdn.shufflehound.com/gillion/ocdi_files/personal/personal_options.json',
                            'option_name' => 'fw_theme_settings_options:gillion',
                        ),
                    ),
                    'import_preview_image_url'   => 'http://cdn.shufflehound.com/gillion/files/personal.jpg',
                    'preview_url'                => 'https://gillion.shufflehound.com/personal/',
                ),

                array(
                    'import_file_name'           => 'Clean (WPBakery)',
                    'categories'                 => array( 'Basic', 'WPBakery Builder' ),
                    'import_file_url'            => 'http://cdn.shufflehound.com/gillion/ocdi_files/clean/clean_content.xml',
                    'import_widget_file_url'     => 'http://cdn.shufflehound.com/gillion/ocdi_files/clean/clean_widgets.wie',
                    'import_json'               => array(
                        array(
                            'file_url'    => 'http://cdn.shufflehound.com/gillion/ocdi_files/clean/clean_options.json',
                            'option_name' => 'fw_theme_settings_options:gillion',
                        ),
                    ),
                    'import_preview_image_url'   => 'http://cdn.shufflehound.com/gillion/files/clean.jpg',
                    'preview_url'                => 'https://gillion.shufflehound.com/clean/',
                ),

                array(
                    'import_file_name'           => 'Fashion (WPBakery)',
                    'categories'                 => array( 'Industries', 'WPBakery Builder' ),
                    'import_file_url'            => 'http://cdn.shufflehound.com/gillion/ocdi_files/fashion/fashion_content.xml',
                    'import_widget_file_url'     => 'http://cdn.shufflehound.com/gillion/ocdi_files/fashion/fashion_widgets.wie',
                    'import_json'               => array(
                        array(
                            'file_url'    => 'http://cdn.shufflehound.com/gillion/ocdi_files/fashion/fashion_options.json',
                            'option_name' => 'fw_theme_settings_options:gillion',
                        ),
                    ),
                    'import_preview_image_url'   => 'http://cdn.shufflehound.com/gillion/files/fashion.jpg',
                    'preview_url'                => 'https://gillion.shufflehound.com/fashion/',
                ),

                array(
                    'import_file_name'           => 'Travel (WPBakery)',
                    'categories'                 => array( 'Industries', 'WPBakery Builder' ),
                    'import_file_url'            => 'http://cdn.shufflehound.com/gillion/ocdi_files/travel/travel_content.xml',
                    'import_widget_file_url'     => 'http://cdn.shufflehound.com/gillion/ocdi_files/travel/travel_widgets.wie',
                    'import_json'               => array(
                        array(
                            'file_url'    => 'http://cdn.shufflehound.com/gillion/ocdi_files/travel/travel_options.json',
                            'option_name' => 'fw_theme_settings_options:gillion',
                        ),
                    ),
                    'import_preview_image_url'   => 'http://cdn.shufflehound.com/gillion/files/travel.jpg',
                    'preview_url'                => 'https://gillion.shufflehound.com/travel/',
                ),

                array(
                    'import_file_name'           => 'Gizmo News (WPBakery)',
                    'categories'                 => array( 'Industries', 'Tech', 'WPBakery Builder' ),
                    'import_file_url'            => 'http://cdn.shufflehound.com/gillion/ocdi_files/gizmo-news/gizmo_news_content.xml',
                    'import_widget_file_url'     => 'http://cdn.shufflehound.com/gillion/ocdi_files/gizmo-news/gizmo_news_widgets.wie',
                    'import_json'               => array(
                        array(
                            'file_url'    => 'http://cdn.shufflehound.com/gillion/ocdi_files/gizmo-news/gizmo_news_options.json',
                            'option_name' => 'fw_theme_settings_options:gillion',
                        ),
                    ),
                    'import_preview_image_url'   => 'http://cdn.shufflehound.com/gillion/files/gizmo-news.jpg',
                    'preview_url'                => 'https://gillion.shufflehound.com/gizmo-news/',
                ),

                array(
                    'import_file_name'           => 'Shop (WPBakery)',
                    'categories'                 => array( 'Industries', 'WPBakery Builder' ),
                    'import_file_url'            => 'http://cdn.shufflehound.com/gillion/ocdi_files/shop/shop_content.xml',
                    'import_widget_file_url'     => 'http://cdn.shufflehound.com/gillion/ocdi_files/shop/shop_widgets.wie',
                    'import_json'               => array(
                        array(
                            'file_url'    => 'http://cdn.shufflehound.com/gillion/ocdi_files/shop/shop_options.json',
                            'option_name' => 'fw_theme_settings_options:gillion',
                        ),
                    ),
                    'import_revslider'           => array(
                        array(
                            'file_url'    => 'http://cdn.shufflehound.com/gillion/ocdi_files/shop/shop_slider.zip',
                        ),
                    ),
                    'import_preview_image_url'   => 'http://cdn.shufflehound.com/gillion/files/shop.jpg',
                    'preview_url'                => 'https://gillion.shufflehound.com/shop1/',
                ),

                array(
                    'import_file_name'           => 'Magazine (WPBakery)',
                    'categories'                 => array( 'Magazine', 'WPBakery Builder' ),
                    'import_file_url'            => 'http://cdn.shufflehound.com/gillion/ocdi_files/magazine/magazine_content.xml',
                    'import_widget_file_url'     => 'http://cdn.shufflehound.com/gillion/ocdi_files/magazine/magazine_widgets.wie',
                    'import_json'               => array(
                        array(
                            'file_url'    => 'http://cdn.shufflehound.com/gillion/ocdi_files/magazine/magazine_options.json',
                            'option_name' => 'fw_theme_settings_options:gillion',
                        ),
                    ),
                    'import_preview_image_url'   => 'http://cdn.shufflehound.com/gillion/files/magazine.jpg',
                    'preview_url'                => 'https://gillion.shufflehound.com/magazine/',
                ),

                array(
                    'import_file_name'           => 'News (WPBakery)',
                    'categories'                 => array( 'Magazine', 'WPBakery Builder' ),
                    'import_file_url'            => 'http://cdn.shufflehound.com/gillion/ocdi_files/news/news_content.xml',
                    'import_widget_file_url'     => 'http://cdn.shufflehound.com/gillion/ocdi_files/news/news_widgets.wie',
                    'import_json'               => array(
                        array(
                            'file_url'    => 'http://cdn.shufflehound.com/gillion/ocdi_files/news/news_options.json',
                            'option_name' => 'fw_theme_settings_options:gillion',
                        ),
                    ),
                    'import_revslider'           => array(
                        array(
                            'file_url'    => 'http://cdn.shufflehound.com/gillion/ocdi_files/news/news_slider.zip',
                        ),
                    ),
                    'import_preview_image_url'   => 'http://cdn.shufflehound.com/gillion/files/news.jpg',
                    'preview_url'                => 'https://gillion.shufflehound.com/news/',
                ),

                array(
                    'import_file_name'           => 'Journal (WPBakery)',
                    'categories'                 => array( 'Basic', 'WPBakery Builder' ),
                    'import_file_url'            => 'http://cdn.shufflehound.com/gillion/ocdi_files/journal/journal_content.xml',
                    'import_widget_file_url'     => 'http://cdn.shufflehound.com/gillion/ocdi_files/journal/journal_widgets.wie',
                    'import_json'               => array(
                        array(
                            'file_url'    => 'http://cdn.shufflehound.com/gillion/ocdi_files/journal/journal_options.json',
                            'option_name' => 'fw_theme_settings_options:gillion',
                        ),
                    ),
                    'import_preview_image_url'   => 'http://cdn.shufflehound.com/gillion/files/journal.jpg',
                    'preview_url'                => 'https://gillion.shufflehound.com/journal/',
                ),
            );
            $demos = array_merge( $demos, $wpbakery_demos );
        endif;


        // Add Elementor demos
        $dev = '';
        foreach( $elementor_demos as $demo ) : $demo = (object)$demo;
            $slug = str_replace( '-', '_', $demo->slug );
            $image = !empty( $demo->image ) ? $demo->image : 'http://cdn.shufflehound.com/gillion/files/' . $demo->slug . '.jpg';
            $url   = !empty( $demo->url ) ? $demo->url : 'https://gillion.shufflehound.com/' . $demo->slug . '/';
            $categories = $demo->categories;
            if( !defined( 'WPB_VC_VERSION' ) ) :
                foreach( $categories as $category_key => $category_value ) :
                    if( $category_value == 'Elementor Builder' ) :
                        unset( $categories[ $category_key ] );
                    endif;
                endforeach;
            endif;


            $demo_settings = [
                'import_file_name'           => $demo->name,
                'categories'                 => $categories,
                'import_file_url'            => esc_url( 'http://cdn.shufflehound.com/gillion/ocdi_elementor_files/' . $slug . '/' . $slug . '_content.xml' . $dev ),
                'import_widget_file_url'     => esc_url( 'http://cdn.shufflehound.com/gillion/ocdi_elementor_files/' . $slug . '/' . $slug . '_widgets.wie' ),
                'import_json'                => [
                    [
                        'file_url'    => esc_url( 'http://cdn.shufflehound.com/gillion/ocdi_elementor_files/' . $slug . '/' . $slug . '_options.json' ),
                        'option_name' => 'fw_theme_settings_options:gillion',
                    ]
                ],
                'import_preview_image_url'   => esc_url( $image ),
                'preview_url'                => esc_url( $url ),
            ];

            if( !empty( $demo->revslider ) ) :
                $demo_settings['import_revslider'] = [
                    [
                        'file_url'    => 'http://cdn.shufflehound.com/gillion/ocdi_elementor_files/' . $slug . '/' . $slug . '_slider.zip',
                    ]
                ];
            endif;

            $demos[] = $demo_settings;
        endforeach;
    endif;


    // Reverse Order
    return array_reverse( $demos );
}
add_filter( 'pt-ocdi/import_files', 'gillion_ocdi_import_files' );
add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' );
add_filter( 'ocdi/import_files', 'gillion_ocdi_import_files' );
add_filter( 'ocdi/disable_pt_branding', '__return_true' );


/**
 * OCDI Demo Installation Method - Final Steps
 */
function gillion_ocdi_after_import_setup( $selected_import ) {
    // Assign menus to their locations.
    $locations = array();
    $header_menu1 = get_term_by( 'name', 'Header Navigation', 'nav_menu' );
    $header_menu2 = get_term_by( 'name', 'Header', 'nav_menu' );
    if( isset( $header_menu1->term_id ) && $header_menu1->term_id > 0 ) :
        $locations['header'] = $header_menu1->term_id;
    elseif( isset( $header_menu2->term_id ) && $header_menu2->term_id > 0 ) :
        $locations['header'] = $header_menu2->term_id;
    endif;

    $topbar_menu = get_term_by( 'name', 'Topbar Navigation', 'nav_menu' );
    if( isset( $topbar_menu->term_id ) && $topbar_menu->term_id > 0 ) :
        $locations['topbar'] = $topbar_menu->term_id;
    endif;

    $footer_menu = get_term_by( 'name', 'Footer', 'nav_menu' );
    if( isset( $footer_menu->term_id ) && $footer_menu->term_id > 0 ) :
        $locations['footer'] = $footer_menu->term_id;
    endif;
    set_theme_mod( 'nav_menu_locations', $locations );


    // Assign front page
    update_option( 'show_on_front', 'page' );
    $demo_name = $selected_import['import_file_name'];
    $demo_name = trim( str_replace( ' (WPBakery)', '', $demo_name ) );
    $demo_name2 = trim( str_replace( ' (Elementor)', '', $demo_name ) );

    $front_page_id1 = get_page_by_title( 'Carousel Slider' );
    $front_page_id2 = get_page_by_title( 'Home - ' . $demo_name );
    $front_page_id3 = get_page_by_title( 'Home – ' . $demo_name );
    $front_page_id4 = get_page_by_title( 'Home ' . $demo_name );
    $front_page_id5 = get_page_by_title( 'Home - ' . $demo_name2 );
    $front_page_id6 = get_page_by_title( 'Home – ' . $demo_name2 );


    if( isset( $front_page_id1->ID ) && $front_page_id1->ID > 0 ) :
        update_option( 'page_on_front', $front_page_id1->ID );
    elseif( isset( $front_page_id2->ID ) && $front_page_id2->ID > 0 ) :
        update_option( 'page_on_front', $front_page_id2->ID );
    elseif( isset( $front_page_id3->ID ) && $front_page_id3->ID > 0 ) :
        update_option( 'page_on_front', $front_page_id3->ID );
    elseif( isset( $front_page_id4->ID ) && $front_page_id4->ID > 0 ) :
        update_option( 'page_on_front', $front_page_id4->ID );
    elseif( isset( $front_page_id5->ID ) && $front_page_id5->ID > 0 ) :
        update_option( 'page_on_front', $front_page_id5->ID );
    elseif( isset( $front_page_id6->ID ) && $front_page_id6->ID > 0 ) :
        update_option( 'page_on_front', $front_page_id6->ID );
    endif;


    // Reset theme settings
    $upload_dir = wp_upload_dir();
    if( isset( $upload_dir['basedir'] ) ) :
        $file_path  = $upload_dir['basedir'] . '/gillion-dynamic-styles.css';
        if( function_exists( 'wp_delete_file' ) ) :
            wp_delete_file( $file_path );
        endif;
    endif;
    delete_option( 'jevelin_settings_updated' );
    delete_option( 'gillion_settings_updated' );
}
add_action( 'pt-ocdi/after_import', 'gillion_ocdi_after_import_setup' );
add_action( 'ocdi/after_import', 'gillion_ocdi_after_import_setup' );


/**
 * OCDI Demo Installation Method - Integration for Custom Frameworks and RevSlider
 */
if( !function_exists( 'gillion_prefix_after_content_import_execution' ) ) {
    function gillion_prefix_after_content_import_execution( $selected_import_files, $import_files, $selected_index ) {

        // Import theme settings
        $downloader = new OCDI\Downloader();
        if( !empty( $import_files[$selected_index]['import_json'] ) ) :

            foreach( $import_files[$selected_index]['import_json'] as $index => $import ) :
                $file_path = $downloader->download_file( $import['file_url'], 'demo-json-import-file-'. $index . '-'. date( 'Y-m-d__H-i-s' ) .'.json' );

        		if( file_exists( $file_path ) ) :
                    $file_raw  = OCDI\Helpers::data_from_file( $file_path );
                else :
                    $file_raw = '';
                endif;

                $media = wp_upload_dir();
                if( isset( $media['baseurl'] ) ) :
                    $url = $media['baseurl'];
                    $url = str_replace('/', '\/', $url);
                    $url = str_replace('http:', '', $url);
                    $url = str_replace('https:', '', $url);
                    $file_raw = str_replace( '[SH-GILLION-DOMAIN-LINK]', $url, $file_raw );
                    $file_raw = str_replace( '[SH-GILLION-DOMAIN-MEDIA]', $url, $file_raw );
                endif;

                update_option( $import['option_name'], json_decode( $file_raw, true ) );
            endforeach;

        elseif( !empty( $import_files[$selected_index]['local_import_json'] ) ) :

            foreach( $import_files[$selected_index]['local_import_json'] as $index => $import ) :
                $file_path = $import['file_path'];
                $file_raw  = OCDI\Helpers::data_from_file( $file_path );
                update_option( $import['option_name'], json_decode( $file_raw, true ) );
            endforeach;

        endif;

        $ocdi       = OCDI\OneClickDemoImport::get_instance();
        $log_path   = $ocdi->get_log_file_path();
        OCDI\Helpers::append_to_file( 'Custom Framework file loaded.', $log_path );


        // Revolution Slider
        if( class_exists( 'RevSlider' ) ) :
            if( !empty( $import_files[$selected_index]['import_revslider'] ) ) :
                $slider = new RevSlider();
                foreach( $import_files[$selected_index]['import_revslider'] as $index => $import ) :
                    $file_path = $downloader->download_file( $import['file_url'], 'demo-revslider-import-file-'. $index . '-'. date( 'Y-m-d__H-i-s' ) .'.zip' );
                    if( $file_path ) :
                        $slider->importSliderFromPost( true, true, $file_path );
                    endif;
                endforeach;
            endif;
        endif;


        // Run Unyson content migration to Redux (if needed)
        if( gillion_framework() == 'redux' ) :
            gillion_framework_migrate_redux( 'start', 1 );
        endif;
    }
    add_action('pt-ocdi/after_content_import_execution', 'gillion_prefix_after_content_import_execution', 3, 99 );
    add_action('ocdi/after_content_import_execution', 'gillion_prefix_after_content_import_execution', 3, 99 );
}




function ocdi_register_plugins( $plugins ) {
    $theme_plugins = [
        [
            'name' => esc_html__( 'Redux Framework', 'jevelin' ),
            'description' => 'Adds main theme settings for controling layouts, colors, fonts etc',
            'slug' => 'redux-framework',
            'required' => false,
        ],
        [
            'name' => esc_html__( 'Elementor Page Builder', 'gillion' ),
            'description' => esc_html__( 'Primary theme page builder. The Worlds Leading WordPress Website Builder', 'jevelin' ),
            'slug' => 'elementor',
            'required' => false,
        ],
        [
            'name' => esc_html__( 'WPBakery Page Builder', 'jevelin' ),
            'description' => 'Main page builder (formerly Visual Composer). Build a responsive website and manage your content easily with intuitive WordPress Front end editor',
            'slug' => 'js_composer',
            'required' => false,
        ],
        [
            'name' => esc_html__( 'Slider Revolution', 'jevelin' ),
            'description' => 'Slider Revolution is a new way to build rich & dynamic slides',
            'slug' => 'revslider',
            'required'  => false,
        ],
        [
            'name' => esc_html__( 'Contact Form 7', 'jevelin' ),
            'description'  => 'Manage multiple contact forms, customize the form and the mail contents flexibly',
            'slug' => 'contact-form-7',
            'required'  => false,
        ],
        [
            'name' => esc_html__( 'WooCommerce', 'jevelin' ),
            'description' => 'Most customizable eCommerce platform for building online business',
            'slug' => 'woocommerce',
            'required' => false,
        ],

    ];
    return array_merge( $plugins, $theme_plugins );
}
add_filter( 'ocdi/register_plugins', 'ocdi_register_plugins' );
