<?php
/**
 * Load TGM Plugin
 */
if( !function_exists('gillion_register_required_plugins') && is_admin() ) :
    if( function_exists('vc_set_as_theme') ) :
        vc_set_as_theme();
    endif;

    require_once ( trailingslashit( get_template_directory() ) . '/inc/plugins/tgmpa/tgmpa.php' );
    function gillion_register_required_plugins() {

        tgmpa(array(
            array(
                'order'     => 1,
                'name'      => esc_html__( 'Redux Framework', 'gillion' ),
                'desc'      => 'Adds main theme settings for controling layouts, colors, fonts etc',
                'image'     => 'redux.png',
                'slug'      => 'redux-framework',
                'required'  => true,
            ),

            array(
                'order'     => 2,
                'name'      => esc_html__( 'Elementor Page Builder', 'gillion' ),
                'desc'      => esc_html__( 'Primary theme page builder. The Worlds Leading WordPress Website Builder', 'gillion' ),
                'image'     => 'elementor.png',
                'slug'      => 'elementor',
                'required'  => true,
            ),

            array(
                'order'     => 4,
                'name'      => esc_html__( 'Slider Revolution', 'gillion' ),
                'desc'      => 'Slider Revolution is a new way to build rich & dynamic slides',
                'image'     => 'slider-revolution.png',
                'slug'      => 'revslider',
                'source'    => 'https://cdn.shufflehound.com/theme-plugins/slider-revolution-Tvq6Y9lU9/slider-revolution-6.6.5.zip',
                'required'  => false,
                'version'   => '6.6.5',
            ),

            array(
                'order'     => 5,
                'name'      => esc_html__( 'One Click Demo Import', 'gillion' ),
                'desc'      => 'Import demo content, widgets and theme settings with one click',
                'image'     => 'ocdi.png',
                'slug'      => 'one-click-demo-import',
                'required'  => false,
            ),

            array(
                'order'     => 6,
                'name'      => esc_html__( 'Contact Form 7', 'gillion' ),
                'desc'      => 'Manage multiple contact forms, customize the form and the mail contents flexibly',
                'image'     => 'contact-form-7.png',
                'slug'      => 'contact-form-7',
                'required'  => false,
            ),

            array(
                'order'     => 7,
                'name'      => esc_html__( 'WooCommerce', 'gillion' ),
                'desc'      => 'Most customizable eCommerce platform for building online business',
                'image'     => 'woocommerce.png',
                'slug'      => 'woocommerce',
                'required'  => false,
            ),

            array(
                'order'     => 8,
                'name'      => esc_html__( 'Yellow Pencil Pro', 'gillion' ),
                'desc'      => 'Visual CSS style editor',
                'image'     => 'yellow-pencil.png',
                'slug'      => 'waspthemes-yellow-pencil',
                'source'    => 'https://cdn.shufflehound.com/theme-plugins/yellow-pencil-ws2BVHf6h/yellow-pencil-7.5.7.zip',
                'required'  => false,
                'version'   => '7.5.7',
            ),

            array(
                'order'     => 9,
                'name'      => esc_html__( 'Twitter Feed', 'gillion' ),
                'desc'      => 'Embed twitter feed with oAuth twitter feed for developers',
                'image'     => 'twitter-feed.png',
                'slug'      => 'oauth-twitter-feed-for-developers',
                'required'  => false,
            ),

            /*array(
                'order'     => 8,
                'name'      => esc_html__( 'WP Instagram Widget', 'gillion' ),
                'desc'      => 'WordPress widget to showcase your latest Instagram pics',
                'image'     => 'instagram.png',
                'slug'      => 'wp-instagram-widget',
                'source'    => trailingslashit( get_template_directory() ) . '/inc/plugins/wp-instagram-widget.zip',
                'required'  => false,
                'version'   => '2.0.4',
            ),*/

            array(
                'order'     => 10,
                'name'      => esc_html__( 'MailChimp for WordPress', 'gillion' ),
                'desc'      => 'Flexible, user-friendly and good looking sign-up forms for your Mailchimp list.',
                'image'     => 'mailchimp.png',
                'slug'      => 'mailchimp-for-wp',
                'required'  => false,
            ),

            // array(
            //     'order'     => 11,
            //     'name'      => esc_html__( 'Envato Market', 'gillion' ),
            //     'desc'      => 'Receive updates to premium Themes & Plugins purchased through Envato Market',
            //     'image'     => 'envato.png',
            //     'slug'      => 'envato-market',
            //     'source'    => trailingslashit( get_template_directory() ) . '/inc/plugins/envato-market.zip',
            //     'required'  => false,
            //     'version'   => '2.0.1',
            // ),

            array(
                'order'     => 12,
                'name'      => esc_html__( 'AMP', 'gillion' ),
                'desc'      => 'Enable AMP on your WordPress site, the WordPress way (works best with Reader mode)',
                'image'     => 'amp.png',
                'slug'      => 'amp',
                'required'  => false,
            ),

            array(
                'order'     => 13,
                'name'      => esc_html__( 'WPBakery Page Builder', 'gillion' ),
                'desc'      => 'Secondary page builder (formerly Visual Composer). Build a responsive website and manage your content easily with intuitive WordPress Front end editor',
                'image'     => 'wpbakery.png',
                'slug'      => 'js_composer',
                'source'    => 'https://cdn.shufflehound.com/theme-plugins/wpbakery-page-builder-89UBoHSXC/wpbakery-page-builder-6.10.0.zip',
                'required'  => false,
                'version'   => '6.10.0',
            ),

            array(
                'order'     => 14,
                'name'      => esc_html__( 'Unyson Framework (deprecated)', 'gillion' ),
                'desc'      => 'Deprecated theme framework adds theme settings, layouts and other major components',
                'image'     => 'unyson.jpg',
                'slug'      => 'unyson',
                'required'  => false,
            ),

        ), array( 'is_automatic' => true ));

    }
    add_action( 'tgmpa_register', 'gillion_register_required_plugins' );
endif;
