<?php if ( ! defined( 'ABSPATH' ) ) { die( 'Direct access forbidden.' ); }
class Widget_Advertise extends WP_Widget {

    /**
     * Widget constructor.
     */
    private $options;
    private $prefix;
    function __construct() {

        $widget_ops = array( 'description' => esc_html__( 'Get more income with ads', 'gillion' ) );
        parent::__construct( false, esc_html__( 'Shufflehound Advertise', 'gillion' ), $widget_ops );
        $this->options = array(

            'id' => array( 'type' => 'unique' ),

            'title' => array(
                'type' => 'text',
                'label' => esc_html__('Widget Title', 'gillion'),
                'value' => esc_html__('Advertise', 'gillion'),
            ),

            'ad_image' => array(
                'label'   => esc_html__( 'Image', 'gillion' ),
                'desc'    => esc_html__( 'Upload image', 'gillion' ),
                'type'    => 'upload',
                'images_only' => true,
            ),

            'ad_url'   => array(
                'type'  => 'text',
                'label' => esc_html__( 'Image URL', 'gillion' ),
                'desc'  => esc_html__( 'Enter image URL', 'gillion' ),
            ),

            'ad_code'   => array(
                'type'  => 'textarea',
                'label' => esc_html__( 'Custom Code', 'gillion' ),
                'desc'  => esc_html__( 'Paste your custom code here', 'gillion' ),
            ),

        );
        $this->prefix = 'online_support';
    }

    function widget( $args, $instance ) {
        extract( $args );
        $params = array();

        foreach ( $instance as $key => $value ) {
            $atts[ $key ] = $value;
        }

        $filepath = get_template_directory().'/inc/widgets/advertise/views/widget.php';

        $instance = $atts;
        $before_widget = str_replace( 'class="', 'class="widget_advertise ', $before_widget );

        if ( file_exists( $filepath ) ) {
            include ( $filepath );
        }
    }

    function update( $new_instance, $old_instance ) {
        return Shufflehound_Metaboxes::widget_update( $new_instance, $old_instance, $this->options );
    }

    function form( $values ) {
        $name_prefix = substr( $this->get_field_name(''), 0, -2 );
        echo Shufflehound_Metaboxes::widget( $this->options, $values, $name_prefix );

        return $values;
    }
}
