<?php if ( ! defined( 'ABSPATH' ) ) { die( 'Direct access forbidden.' ); }

class Widget_Image extends WP_Widget {

    /**
     * Widget constructor.
     */
    private $options;
    private $prefix;
    function __construct() {

        $widget_ops = array( 'description' => esc_html__( 'Add your image', 'gillion' ) );
        parent::__construct( false, esc_html__( 'Shufflehound Image', 'gillion' ), $widget_ops );
        $this->options = array(

            'id' => array( 'type' => 'unique' ),

            'title' => array(
                'type' => 'text',
                'label' => esc_html__('Widget Title', 'gillion'),
                'value' => esc_html__('Image', 'gillion'),
            ),


            'image' => array(
                'label'   => esc_html__( 'Image', 'gillion' ),
                'desc'    => esc_html__( 'Upload image', 'gillion' ),
                'type'    => 'upload',
                'images_only' => true,
            ),

            'url'   => array(
                'type'  => 'text',
                'label' => esc_html__( 'URL', 'gillion' ),
                'desc'  => esc_html__( 'Enter URL', 'gillion' ),
            ),

            'blackandwhite' => array(
                'label' => esc_html__( 'Black and White Image', 'gillion' ),
                'desc' => esc_html__( 'Set image black and white (when not hovered)', 'gillion' ),
                'type'  => 'switch',
                'value' => false,
                'left-choice' => array(
                    'value' => false,
                    'label' => esc_html__('Off', 'gillion'),
                ),
                'right-choice' => array(
                    'value' => true,
                    'label' => esc_html__('On', 'gillion'),
                ),
            ),

        );
        $this->prefix = 'online_support';
    }

    function widget( $args, $instance ) {
        extract( $args );
        $params = array();

        foreach ( $instance as $key => $value ) {
            $atts[ $key ] = $value;
        }

		$filepath = get_template_directory() . '/inc/widgets/image/views/widget.php';

        $instance = $atts;
        $before_widget = str_replace( 'class="', 'class="widget_sh_image ', $before_widget );

        if ( file_exists( $filepath ) ) {
            include ( $filepath );
        }
    }

    function update( $new_instance, $old_instance ) {
        return Shufflehound_Metaboxes::widget_update( $new_instance, $old_instance, $this->options );
    }

    function form( $values ) {
        $name_prefix = substr( $this->get_field_name(''), 0, -2 );
        echo Shufflehound_Metaboxes::widget( $this->options, $values, $name_prefix );
        return $values;
    }

}
