<?php if ( ! defined( 'ABSPATH' ) ) { die( 'Direct access forbidden.' ); }
class Widget_Instagram extends WP_Widget {

    /**
     * Widget constructor.
     */
    private $options;
    private $prefix;
    function __construct() {

        $widget_ops = array( 'description' => esc_html__( 'Show your instagram feed', 'gillion' ) );
        parent::__construct( false, esc_html__( 'Shufflehound Instagram (outdated)', 'gillion' ), $widget_ops );
        $this->options = array(

            'id' => array( 'type' => 'unique' ),

            'outdated_method_notice' => array(
        		'type'  => 'html-full',
        		'value' => '',
        		'label' => false,
        		'html'  => '<a href="https://wordpress.org/plugins/wp-instagram-widget/"><h3 class="hndle sh-custom-group-divder"><span>'.esc_attr__('Outdated method! Please use this plugins widget instead', 'gillion').' </span></h3></a>',
        	),

            'title' => array(
                'type' => 'text',
                'label' => esc_html__('Widget Title', 'gillion'),
                'value' => esc_html__('Instagram', 'gillion'),
            ),

            'access_token' => array(
                'type' => 'text',
                'label' => esc_html__('Instagram Access Token', 'gillion'),
                'help' => esc_html__('Search in Google: How to get Instagram access token', 'gillion'),
            ),

            'client_id' => array(
                'type' => 'text',
                'label' => esc_html__('Instagram Client ID (optional)', 'gillion'),
            ),

            'count' => array(
                'type'  => 'slider',
                'value' => 2,
                'properties' => array(
                    'min' => 1,
                    'max' => 20,
                    'step' => 1,
                ),
                'label' => esc_html__('Count', 'gillion'),
            ),

        );
        $this->prefix = 'online_support';
    }

    function widget( $args, $instance ) {
        extract( $args );
        $params = array();

        foreach ( $instance as $key => $value ) {
            $atts[ $key ] = $value;
        }

		$filepath = get_template_directory() . '/inc/widgets/instagram/views/widget.php';

        $instance = $atts;
        $before_widget = str_replace( 'class="', 'class="widget_instagram ', $before_widget );

        if ( file_exists( $filepath ) ) {
            include ( $filepath );
        }
    }

    function update( $new_instance, $old_instance ) {
        return Shufflehound_Metaboxes::widget_update( $new_instance, $old_instance, $this->options );
    }

    function form( $values ) {
        $name_prefix = substr( $this->get_field_name(''), 0, -2 );
        echo Shufflehound_Metaboxes::widget( $this->options, $values, $name_prefix );
        return $values;
    }

}
