<?php if ( ! defined( 'ABSPATH' ) ) { die( 'Direct access forbidden.' ); }

class Widget_Pinterest extends WP_Widget {

    /**
     * Widget constructor.
     */
    private $options;
    private $prefix;
    function __construct() {

        $widget_ops = array( 'description' => esc_html__( 'Show your pinterest feed', 'gillion' ) );
        parent::__construct( false, esc_html__( 'Shufflehound Pinterest', 'gillion' ), $widget_ops );
        $this->options = array(

            'id' => array( 'type' => 'unique' ),

            'title' => array(
                'type' => 'text',
                'label' => esc_html__('Widget Title', 'gillion'),
                'value' => esc_html__('Pinterest', 'gillion'),
            ),

            'board_url' => array(
                'type' => 'text',
                'label' => esc_html__('Pinterest (board, user profile or pin) URL', 'gillion'),
                'help' => esc_html__('For example: https://www.pinterest.com/pinterest/official-news/', 'gillion'),
                'desc' => esc_html__( 'For more information about how this feature works and its preview, please visit' ) . ' <a href="https://developers.pinterest.com/tools/widget-builder/?type=profile" target="_blank">this link</a>',
            ),

            'height' => array(
                'type' => 'text',
                'label' => esc_html__('Pinterest Content Height', 'gillion'),
                'desc' => esc_html__( 'Enter content height (in px)' ),

            ),

        );
        $this->prefix = 'pinterest';
    }

    function widget( $args, $instance ) {
        extract( $args );
        $params = array();

        foreach ( $instance as $key => $value ) {
            $atts[ $key ] = $value;
        }

		$filepath = get_template_directory() . '/inc/widgets/pinterest/views/widget.php';

        $instance = $atts;
        $before_widget = str_replace( 'class="', 'class="widget_instagram ', $before_widget );

        if ( file_exists( $filepath ) ) {
            include ( $filepath );
        }
    }

    function update( $new_instance, $old_instance ) {
        return Shufflehound_Metaboxes::widget_update( $new_instance, $old_instance, $this->options );
    }

    function form( $values ) {
        $name_prefix = substr( $this->get_field_name(''), 0, -2 );
        echo Shufflehound_Metaboxes::widget( $this->options, $values, $name_prefix );
        return $values;
    }

}
