<?php if ( ! defined( 'ABSPATH' ) ) { die( 'Direct access forbidden.' ); }

class Widget_Posts_Categories_Tabs extends WP_Widget {

    /**
     * Widget constructor.
     */
    private $options;
    private $prefix;
    function __construct() {

        $widget_ops = array( 'description' => esc_html__( 'Show your posts with categories', 'gillion' ) );
        parent::__construct( false, esc_html__( 'Shufflehound Post Categories', 'gillion' ), $widget_ops );
        $this->options = array(

            'id' => array( 'type' => 'unique' ),

            'title' => array(
                'type' => 'text',
                'label' => esc_html__('Widget Title', 'gillion'),
                'value' => esc_html__('Post Categories', 'gillion'),
            ),

            'posts' => array(
                'type'  => 'text',
                'label' => esc_html__('Specific Posts Only', 'gillion'),
                'desc'  => esc_html__('Enter post IDs with comma, like: 1,2,3,4,5', 'gillion'),
            ),

            'categories' => array(
        		'label' => esc_html__( 'Categories', 'gillion' ),
        		'desc'  => esc_html__( 'Enter categories by names to narrow output (Note: only listed categories will be displayed, divide categories with linebreak (Enter)).', 'gillion' ),
        		'type'  => 'textarea',
        	),

            'limit' => array(
                'type' => 'text',
                'label' => esc_html__('Limit', 'gillion'),
                'desc' => esc_html__('Enter post limit', 'gillion'),
            ),

        );
        $this->prefix = 'online_support';
    }

    function widget( $args, $instance ) {
        extract( $args );
        $params = array();

        foreach ( $instance as $key => $value ) {
            $atts[ $key ] = $value;
        }

        $filepath = get_template_directory().'/inc/widgets/posts-categories-tabs/views/widget.php';

        $instance = $atts;
        $before_widget = str_replace( 'class="', 'class="widget_facebook ', $before_widget );

        if ( file_exists( $filepath ) ) {
            require $filepath;
        }
    }

    function update( $new_instance, $old_instance ) {
        return Shufflehound_Metaboxes::widget_update( $new_instance, $old_instance, $this->options );
    }

    function form( $values ) {
        $name_prefix = substr( $this->get_field_name(''), 0, -2 );
        echo Shufflehound_Metaboxes::widget( $this->options, $values, $name_prefix );
        return $values;
    }

}
