<?php if ( ! defined( 'ABSPATH' ) ) { die( 'Direct access forbidden.' ); }

class Widget_Posts_Slider extends WP_Widget {

    /**
     * Widget constructor.
     */
    private $options;
    private $prefix;
    function __construct() {

        $widget_ops = array( 'description' => esc_html__( 'Show your recent posts V2', 'gillion' ) );
        parent::__construct( false, esc_html__( 'Shufflehound Recent Posts', 'gillion' ), $widget_ops );
        $this->options = array(

            'id' => array( 'type' => 'unique' ),

            'title' => array(
                'type' => 'text',
                'label' => esc_html__('Widget Title', 'gillion'),
                'value' => esc_html__('Recent Posts', 'gillion'),
            ),

            'style' => array(
                'type'  => 'select',
                'value' => 'style1',
                'label' => esc_html__('Style', 'gillion'),
                'desc'  => esc_html__('Select post slider style', 'gillion'),
                'choices' => array(
                    'style1' => esc_html__('List Slideshow', 'gillion'),
                    'style1 style5' => esc_html__('List Slideshow (first post enlarged)', 'gillion'),
                    'style2' => esc_html__('Square Slideshow', 'gillion'),
                    'style2 style3' => esc_html__('Landscape Slideshow', 'gillion'),
                    'style1 style4' => esc_html__('Grid Posts (without slideshow)', 'gillion'),
                ),
            ),

            'posts' => array(
                'type'  => 'text',
                'label' => esc_html__('Specific Posts Only', 'gillion'),
                'desc'  => esc_html__('Enter post IDs with comma, like: 1,2,3,4,5', 'gillion'),
            ),

            'categories' => array(
                'type'  => 'text',
                'label' => esc_html__('Specific Categories Only', 'gillion'),
                'desc'  => esc_html__('Enter category IDs with comma, like: 1,2,3,4,5', 'gillion'),
            ),

            'review_only' => array(
                'label' => esc_html__( 'Review Posts Only', 'gillion' ),
                'desc'  => esc_html__( 'Enable or disable review posts only. Notice: Will disable other optios like specific posts and could not work on older blog posts', 'gillion' ),
                'type'  => 'switch',
                'value' => 'off',
                'left-choice' => array(
                    'value' => 'off',
                    'label' => esc_html__('Off', 'gillion'),
                ),
                'right-choice' => array(
                    'value' => 'on',
                    'label' => esc_html__('On', 'gillion'),
                ),
            ),

            'limit' => array(
                'type' => 'text',
                'label' => esc_html__('Limit', 'gillion'),
                'desc' => esc_html__('Enter post limit', 'gillion'),
            ),

            'per_slide' => array(
                'type' => 'text',
                'label' => esc_html__('Posts Per Slide', 'gillion'),
                'desc' => esc_html__('Enter posts per slide number', 'gillion'),
                'value' => '3',
            ),


        );
        $this->prefix = 'online_support';
    }

    function widget( $args, $instance ) {
        extract( $args );
        $params = array();

        foreach ( $instance as $key => $value ) {
            $atts[ $key ] = $value;
        }

        $filepath = get_template_directory().'/inc/widgets/posts-recent/views/widget.php';

        $instance = $atts;
        $before_widget = str_replace( 'class="', 'class="widget_facebook ', $before_widget );

        if ( file_exists( $filepath ) ) {
            require $filepath;
        }
    }

    function update( $new_instance, $old_instance ) {
        return Shufflehound_Metaboxes::widget_update( $new_instance, $old_instance, $this->options );
    }

    function form( $values ) {
        $name_prefix = substr( $this->get_field_name(''), 0, -2 );
        echo Shufflehound_Metaboxes::widget( $this->options, $values, $name_prefix );
        return $values;
    }

}
