<?php if ( ! defined( 'ABSPATH' ) ) { die( 'Direct access forbidden.' ); }

class Widget_Posts_Tabs extends WP_Widget {

    /**
     * Widget constructor.
     */
    private $options;
    private $prefix;
    function __construct() {

        $widget_ops = array( 'description' => esc_html__( 'Show your posts tabs', 'gillion' ) );
        parent::__construct( false, esc_html__( 'Shufflehound Posts Tabs', 'gillion' ), $widget_ops );
        $this->options = array(

            'id' => array( 'type' => 'unique' ),

            'tab_latest' => array(
                'type' => 'text',
                'label' => esc_html__('Latest tab name', 'gillion'),
                'value' => '',
                'desc'  => esc_html__('Leave blank for "Latest"', 'gillion'),
            ),

            'tab_popular' => array(
                'type' => 'text',
                'label' => esc_html__('Popular tab name', 'gillion'),
                'value' => '',
                'desc'  => esc_html__('Leave blank for "Popular"', 'gillion'),
            ),

            'style' => array(
                'type'  => 'select',
                'value' => 'style1',
                'label' => esc_html__('Style', 'gillion'),
                'desc'  => esc_html__('Select post slider style', 'gillion'),
                'choices' => array(
                    'style1' => esc_html__('Style 1 (list)', 'gillion'),
                    'style2' => esc_html__('Style 2 (slide, vertical)', 'gillion'),
                    'style2 style3' => esc_html__('Style 3 (slide, square)', 'gillion'),
                ),
            ),

        );
        $this->prefix = 'online_support';
    }

    function widget( $args, $instance ) {
        extract( $args );
        $params = array();

        foreach ( $instance as $key => $value ) {
            $atts[ $key ] = $value;
        }

        $filepath = get_template_directory().'/inc/widgets/posts-tabs/views/widget.php';

        $instance = $atts;
        $before_widget = str_replace( 'class="', 'class="widget_facebook ', $before_widget );

        if ( file_exists( $filepath ) ) {
            require $filepath;
        }
    }

    function update( $new_instance, $old_instance ) {
        return Shufflehound_Metaboxes::widget_update( $new_instance, $old_instance, $this->options );
    }

    function form( $values ) {
        $name_prefix = substr( $this->get_field_name(''), 0, -2 );
        echo Shufflehound_Metaboxes::widget( $this->options, $values, $name_prefix );
        return $values;
    }

}
